#!/bin/sh

DIR=/usr/share/screenlets/Radio/
SOURCE_FILE=menu.xml
FILE="$DIR/$SOURCE_FILE"

test -d "$DIR" || sudo mkdir -p "$DIR" || exit

if test -s "$FILE"
then
   BACKUP_FILE="$FILE.$(date +'%F')"
   sudo mv -i "$FILE" "$BACKUP_FILE"
   echo "En backup av den existerande filen har gjorts och återfinns här: $BACKUP_FILE"
   echo
   echo "Byter ut den befintliga filen till Svensk version"
   sudo cp "$SOURCE_FILE" "$FILE"
   sudo chmod 777 "$FILE"
else
   echo "Ingen fil hittades, kopierar..."
   echo
   sudo cp "$SOURCE_FILE" "$FILE"
   sudo chmod 777 "$FILE"
fi

echo "Nu ska allt vara klart."
echo
echo "Starta Screenlet Radio och titta så allt ser okey ut."

if test -e "$BACKUP_FILE"
then
   echo "Skulle något vara fel tar du bort $FILE och döper om backuppen $BACKUP_FILE till samma namn."
   echo
   echo
fi
